You are not logged in.

#1 2019-04-25 18:04:04

nstgc
Member
Registered: 2014-03-17
Posts: 375

[solved...kind of] Mcomix won't start

First off, the info.

$ mcomix
Traceback (most recent call last):
  File "/usr/bin/mcomix", line 11, in <module>
    load_entry_point('mcomix==1.2.1', 'console_scripts', 'mcomix')()
  File "/usr/lib/python2.7/site-packages/mcomix/run.py", line 206, in run
    assert PIL.Image.VERSION >= '1.1.5'
AttributeError: 'module' object has no attribute 'VERSION
$ pacman -Q mcomix
mcomix 1.2.1-4
$ mcomix -v
MComix 1.2.1
$ locale
LANG=en_US.UTF-8
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=
$ localectl
   System Locale: LANG=en_US.UTF-8
       VC Keymap: n/a
      X11 Layout: n/a

I will admit, I made the cardinal sin of Arch: I waited like a month before upgrading. I was super busy.

Thinking this might be due to Python, I also looked at those versions.

$ pacman -Q |grep python2
python2 2.7.16-1
python2-appdirs 1.4.3-2
python2-apsw 3.27.2-1
python2-backports 1.0-2
python2-backports.functools_lru_cache 1.5-1
python2-beautifulsoup4 4.7.1-1
python2-cairo 1.18.0-1
python2-chardet 3.0.4-2
python2-css-parser 1.0.4-1
python2-cssselect 1.0.3-2
python2-dateutil 2.8.0-1
python2-dbus 1.2.8-2
python2-dnspython 1.16.0-1
python2-dukpy 0.3-3
python2-editor 1.0.4-1
python2-enum34 1.1.6-2
python2-evdev 1.1.2-1
python2-feedparser 5.2.1-3
python2-gobject 3.32.1-1
python2-gobject2 2.28.7-2
python2-html2text 2018.1.9-2
python2-html5-parser 0.4.5-3
python2-html5lib 1.0.1-3
python2-lxml 4.3.3-1
python2-markdown 3.0.1-2
python2-mechanize 1:0.4.2-1
python2-msgpack 0.6.1-1
python2-mutagen 1.42.0-3
python2-netifaces 0.10.9-1
python2-olefile 0.46-1
python2-opengl 3.1.0-4
python2-packaging 19.0-1
python2-path 10.4-1
python2-pillow 6.0.0-1
python2-pmw 2.0.1-4
python2-psutil 5.6.1-1
python2-pycdio 2.0.0-3
python2-pygments 2.3.1-1
python2-pyparsing 2.4.0-1
python2-pyqt5 5.12.1-1
python2-regex 2019.04.14-1
python2-setuptools 1:41.0.1-1
python2-sip-pyqt5 4.19.16-1
python2-six 1.12.0-1
python2-soupsieve 1.9.1-1
python2-unrardll 0.1.3-4
python2-webencodings 0.5.1-2
python2-wxpython3 3.0.2.0-1
python2-xdg 0.26-2
wxpython2.8 2.8.12.1-3

The only thing I can think of is that I uninstalled a python2 package, but if that was the case, I wouldn't have been able to remove it since it would have been a dep. With that thought in mind I tried

$ sudo pacman -S pygtk python2 python2-pillow python2-setuptools

but as expected that didn't help.

edit: Looking at upstream I'm wondering if MComix is out dated: https://sourceforge.net/p/mcomix/git/ci … b37b49c60/

Installed the mcomix-git package from the AUR fixes the problem, which leads to me to believe this is indeed the case. Could someone verify whether the Community version works or not?

Last edited by nstgc (2019-04-25 20:59:59)

Offline

#2 2019-04-25 18:24:50

0x29a
Member
Registered: 2012-09-28
Posts: 101

Re: [solved...kind of] Mcomix won't start

Same problem for me on fresh, up to date Arch installation

Offline

#3 2019-04-25 18:44:06

loqs
Member
Registered: 2014-03-06
Posts: 8,417

Re: [solved...kind of] Mcomix won't start

Offline

#4 2019-04-25 18:49:51

nstgc
Member
Registered: 2014-03-17
Posts: 375

Re: [solved...kind of] Mcomix won't start

Ah, thanks. I didn't think it was me, but I wanted to make sure.

Offline

Board footer

Powered by FluxBB